<?php
/**
* Setter et getter pour la configuration
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-acl  
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Setter et getter pour la configuration
* 
* @category PHP 
* @package  Borealis-acl
* @author   Pascal Martin 
*/ 
class com_borealis_acl_SettingImpl extends com_borealis_acl_Setting
{
    private static $s_strXMLConfigFile                            = self::XML_CONFIG_FILE;      

    private static $s_strDataStore                                = self::DATASTORE;
    
    private static $s_strPDODataStoreDSN                          = self::PDODATASTORE_DSN;

    private static $s_strPDODataStorePrepareInsertAction          = self::PDODATASTORE_PREPARE_INSERT_ACTION;
    private static $s_strPDODataStorePrepareDeleteActionByID      = self::PDODATASTORE_PREPARE_DELETE_ACTION_BY_ID;     
    private static $s_strPDODataStorePrepareUpdateAction          = self::PDODATASTORE_PREPARE_UPDATE_ACTION; 
    private static $s_strPDODataStorePrepareSelectActionByName    = self::PDODATASTORE_PREPARE_SELECT_ACTION_BY_NAME; 
    private static $s_strPDODataStorePrepareSelectActionByID      = self::PDODATASTORE_PREPARE_SELECT_ACTION_BY_ID; 
    private static $s_strPDODataStorePrepareSelectActionAll       = self::PDODATASTORE_PREPARE_SELECT_ACTION_ALL; 
    
    private static $s_strPDODataStorePrepareInsertRole            = self::PDODATASTORE_PREPARE_INSERT_ROLE;
    private static $s_strPDODataStorePrepareDeleteRoleByID        = self::PDODATASTORE_PREPARE_DELETE_ROLE_BY_ID;     
    private static $s_strPDODataStorePrepareUpdateRole            = self::PDODATASTORE_PREPARE_UPDATE_ROLE; 
    private static $s_strPDODataStorePrepareSelectRoleByName      = self::PDODATASTORE_PREPARE_SELECT_ROLE_BY_NAME; 
    private static $s_strPDODataStorePrepareSelectRoleByID        = self::PDODATASTORE_PREPARE_SELECT_ROLE_BY_ID; 
    private static $s_strPDODataStorePrepareSelectRoleAll         = self::PDODATASTORE_PREPARE_SELECT_ROLE_ALL;
    
    private static $s_strPDODataStorePrepareInsertRoleMember      = self::PDODATASTORE_PREPARE_INSERT_ROLE_MEMBER;
    private static $s_strPDODataStorePrepareDeleteRoleMember      = self::PDODATASTORE_PREPARE_DELETE_ROLE_MEMBER;
    private static $s_strPDODataStorePrepareSelectRoleMember      = self::PDODATASTORE_PREPARE_SELECT_ROLE_MEMBER;
                                                                       
    private static $s_strPDODataStorePrepareInsertRolePermission          = self::PDODATASTORE_PREPARE_INSERT_ROLE_PERMISSION;
    private static $s_strPDODataStorePrepareDeleteRolePermission          = self::PDODATASTORE_PREPARE_DELETE_ROLE_PERMISSION;
    private static $s_strPDODataStorePrepareSelectRolePermissionAction    = self::PDODATASTORE_PREPARE_SELECT_ROLE_PERMISSION_ACTION;
    private static $s_strPDODataStorePrepareSelectRolePermissionRessource = self::PDODATASTORE_PREPARE_SELECT_ROLE_PERMISSION_RESSOURCE;
    
    private static $s_strPDODataStorePrepareInsertRessource       = self::PDODATASTORE_PREPARE_INSERT_RESSOURCE;
    private static $s_strPDODataStorePrepareDeleteRessourceByID   = self::PDODATASTORE_PREPARE_DELETE_RESSOURCE_BY_ID;     
    private static $s_strPDODataStorePrepareUpdateRessource       = self::PDODATASTORE_PREPARE_UPDATE_RESSOURCE; 
    private static $s_strPDODataStorePrepareSelectRessourceByName = self::PDODATASTORE_PREPARE_SELECT_RESSOURCE_BY_NAME; 
    private static $s_strPDODataStorePrepareSelectRessourceByID   = self::PDODATASTORE_PREPARE_SELECT_RESSOURCE_BY_ID; 
    private static $s_strPDODataStorePrepareSelectRessourceAll    = self::PDODATASTORE_PREPARE_SELECT_RESSOURCE_ALL;
    
    private static $s_strPDODataStorePrepareInsertRessourceAction = self::PDODATASTORE_PREPARE_INSERT_RESSOURCE_ACTION;
    private static $s_strPDODataStorePrepareDeleteRessourceAction = self::PDODATASTORE_PREPARE_DELETE_RESSOURCE_ACTION;
    private static $s_strPDODataStorePrepareSelectRessourceAction = self::PDODATASTORE_PREPARE_SELECT_RESSOURCE_ACTION; 
    
    private static $s_strPDODataStorePrepareSelectAuthorized      = self::PDODATASTORE_PREPARE_SELECT_AUTHORIZED; 
    
    
    
    // --------------------------
    // Getter
    // --------------------------
    
    /**
    * Return XMLConfigFile
    * 
    * @return string
    */
    public static function getXMLConfigFile()
    {
         return self::$s_strXMLConfigFile;
    }
    
    /**
    * Return DataStore
    * 
    * @return string
    */
    public static function getDataStore()
    {
         return self::$s_strDataStore;
    }
    
    /**
    * Return PDODataStoreDSN
    * 
    * @return string
    */
    public static function getPDODataStoreDSN()
    {
         return self::$s_strPDODataStoreDSN;
    }
    
    /**
    * Return PDODataStorePrepareSelectAuthorized
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectAuthorized()
    {
         return self::$s_strPDODataStorePrepareSelectAuthorized;
    }    
    
    // --------------
    // action 
    // --------------
    
    /**
    * Return PDODataStorePrepareInsertAction
    * 
    * @return string
    */
    public static function getPDODataStorePrepareInsertAction()
    {
         return self::$s_strPDODataStorePrepareInsertAction;
    }
    
    /**
    * Return PDODataStorePrepareDeleteActionByID
    * 
    * @return string
    */
    public static function getPDODataStorePrepareDeleteActionByID()
    {
         return self::$s_strPDODataStorePrepareDeleteActionByID;
    }
    
    /**
    * Return PDODataStorePrepareUpdateAction
    * 
    * @return string
    */
    public static function getPDODataStorePrepareUpdateAction()
    {
         return self::$s_strPDODataStorePrepareUpdateAction;
    }
    
    /**
    * Return PDODataStorePrepareSelectActionByName
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectActionByName()
    {
         return self::$s_strPDODataStorePrepareSelectActionByName;
    }
    
    /**
    * Return PDODataStorePrepareSelectActionByID
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectActionByID()
    {
         return self::$s_strPDODataStorePrepareSelectActionByID;
    }
    
    /**
    * Return PDODataStorePrepareSelectActionAll
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectActionAll()
    {
         return self::$s_strPDODataStorePrepareSelectActionAll;
    }

    // --------------
    // Role
    // --------------
    
    /**
    * Return PDODataStorePrepareInsertRole
    * 
    * @return string
    */
    public static function getPDODataStorePrepareInsertRole()
    {
         return self::$s_strPDODataStorePrepareInsertRole;
    }
    
    /**
    * Return PDODataStorePrepareDeleteRoleByID
    * 
    * @return string
    */
    public static function getPDODataStorePrepareDeleteRoleByID()
    {
         return self::$s_strPDODataStorePrepareDeleteRoleByID;
    }
    
    /**
    * Return PDODataStorePrepareUpdateRole
    * 
    * @return string
    */
    public static function getPDODataStorePrepareUpdateRole()
    {
         return self::$s_strPDODataStorePrepareUpdateRole;
    }
    
    /**
    * Return PDODataStorePrepareSelectRoleByName
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRoleByName()
    {
         return self::$s_strPDODataStorePrepareSelectRoleByName;
    }
    
    /**
    * Return PDODataStorePrepareSelectRoleByID
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRoleByID()
    {
         return self::$s_strPDODataStorePrepareSelectRoleByID;
    }
    
    /**
    * Return PDODataStorePrepareSelectRoleAll
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRoleAll()
    {
         return self::$s_strPDODataStorePrepareSelectRoleAll;
    }
    
    /**
    * Return PDODataStorePrepareInsertRoleMember
    * 
    * @return string
    */
    public static function getPDODataStorePrepareInsertRoleMember()
    {
         return self::$s_strPDODataStorePrepareInsertRoleMember;
    }
    
    /**
    * Return PDODataStorePrepareDeleteRoleMember
    * 
    * @return string
    */
    public static function getPDODataStorePrepareDeleteRoleMember()
    {
         return self::$s_strPDODataStorePrepareDeleteRoleMember;
    } 
    
    /**
    * Return PDODataStorePrepareSelectRoleMember
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRoleMember()
    {
         return self::$s_strPDODataStorePrepareSelectRoleMember;
    } 
    
    /**
    * Return PDODataStorePrepareInsertRolePermission
    * 
    * @return string
    */
    public static function getPDODataStorePrepareInsertRolePermission()
    {
         return self::$s_strPDODataStorePrepareInsertRolePermission;
    }
    
    /**
    * Return PDODataStorePrepareDeleteRolePermission
    * 
    * @return string
    */
    public static function getPDODataStorePrepareDeleteRolePermission()
    {
         return self::$s_strPDODataStorePrepareDeleteRolePermission;
    }
      
    /**
    * Return PDODataStorePrepareSelectRolePermissionAction
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRolePermissionAction()
    {
         return self::$s_strPDODataStorePrepareSelectRolePermissionAction;
    }
    
    /**
    * Return PDODataStorePrepareSelectRolePermissionRessource
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRolePermissionRessource()
    {
         return self::$s_strPDODataStorePrepareSelectRolePermissionRessource;
    }
    
    // --------------
    // Ressource
    // --------------
    
    /**
    * Return PDODataStorePrepareInsertRessource
    * 
    * @return string
    */
    public static function getPDODataStorePrepareInsertRessource()
    {
         return self::$s_strPDODataStorePrepareInsertRessource;
    }
    
    /**
    * Return PDODataStorePrepareDeleteRessourceByID
    * 
    * @return string
    */
    public static function getPDODataStorePrepareDeleteRessourceByID()
    {
         return self::$s_strPDODataStorePrepareDeleteRessourceByID;
    }
    
    /**
    * Return PDODataStorePrepareUpdateRessource
    * 
    * @return string
    */
    public static function getPDODataStorePrepareUpdateRessource()
    {
         return self::$s_strPDODataStorePrepareUpdateRessource;
    }
    
    /**
    * Return PDODataStorePrepareSelectRessourceByName
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRessourceByName()
    {
         return self::$s_strPDODataStorePrepareSelectRessourceByName;
    }
    
    /**
    * Return PDODataStorePrepareSelectRessourceByID
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRessourceByID()
    {
         return self::$s_strPDODataStorePrepareSelectRessourceByID;
    } 
    
    /**
    * Return PDODataStorePrepareSelectRessourceAll
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRessourceAll()
    {
         return self::$s_strPDODataStorePrepareSelectRessourceAll;
    }
    
    /**
    * Return PDODataStorePrepareInsertRessourceAction
    * 
    * @return string
    */
    public static function getPDODataStorePrepareInsertRessourceAction()
    {
         return self::$s_strPDODataStorePrepareInsertRessourceAction;
    }
    
    /**
    * Return PDODataStorePrepareDeleteRessourceAction
    * 
    * @return string
    */
    public static function getPDODataStorePrepareDeleteRessourceAction()
    {
         return self::$s_strPDODataStorePrepareDeleteRessourceAction;
    }

    /**
    * Return PDODataStorePrepareSelectRessourceAction
    * 
    * @return string
    */
    public static function getPDODataStorePrepareSelectRessourceAction()
    {
         return self::$s_strPDODataStorePrepareSelectRessourceAction;
    }
    
    // --------------------------
    // Setter
    // --------------------------
    
    /**
    * Set XMLConfigFile
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setXMLConfigFile($pstrValue)
    {
         self::$s_strXMLConfigFile = $pstrValue;
    }   
    
    /**
    * Set DataStore
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setDataStore($pstrValue)
    {
         self::$s_strDataStore = $pstrValue;
    } 
    
  
}
  
?>
