<?php
/**
* Setter et getter pour la configuration
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-security  
* @author    Pascal Martin 
* @copyright Boral Informations Stratgiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Setter et getter pour la configuration
* 
* @category PHP 
* @package  Borealis-security
* @author   Pascal Martin 
*/ 
class com_borealis_security_SettingImpl extends com_borealis_security_Setting
{
    private static $s_strJossoEndpoint = self::JOSSO_ENDPOINT;
    
    private static $s_strJossoGatewayLogin = self::JOSSO_GATEWAY_LOGIN; 
    
    private static $s_strJossoAuthenticationSecurityDomain = self::JOSSO_AUTHENTICATION_SECURITYDOMAIN;
    private static $s_strJossoAuthorizationSecurityDomain = self::JOSSO_AUTHORIZATION_SECURITYDOMAIN;    
    private static $s_strJossoAuthorizationPassword = self::JOSSO_AUTHORIZATION_PASSWORD;    
    private static $s_strJossoPropertySecurityDomain = self::JOSSO_PROPERTY_SECURITYDOMAIN;
    private static $s_strJossoPropertyPassword = self::JOSSO_PROPERTY_PASSWORD;    
     
    private static $s_strJossoWsDefaultSocketTimeout = self::JOSSO_WS_DEFAULT_SOCKET_TIMEOUT;
     
    private static $s_strJossoWsSSOSessionmanager = self::JOSSO_WS_SSO_SESSIONMANAGER;
    private static $s_strJossoWsSSOIdentitymanager = self::JOSSO_WS_SSO_IDENTITYMANAGER;
    private static $s_strJossoWsSSOIdentityprovider = self::JOSSO_WS_SSO_IDENTITYPROVIDER;                   
    
    private static $s_strAuthenticationManager = self::AUTHENTICATION_MANAGER; 
    private static $s_strAuthorizationManager = self::AUTHORIZATION_MANAGER; 
    private static $s_strPropertyManager  = self::PROPERTY_MANAGER; 

    private static $s_strXMLConfigFile = self::XML_CONFIG_FILE;
    // --------------------------
    // Getter
    // --------------------------
        
        
    /**
    * Return JossoGatewayLogin
    * 
    * @return string
    */
    public static function getJossoGatewayLogin()
    {
         return self::$s_strJossoGatewayLogin;
    }
        
    /**
    * Return XMLConfigFile
    * 
    * @return string
    */
    public static function getXMLConfigFile()
    {
         return self::$s_strXMLConfigFile;
    }
    
    /**
    * Return JossoEndpoint
    * 
    * @return string
    */
    public static function getJossoEndpoint()
    {
         return self::$s_strJossoEndpoint;
    }
    
    /**
    * Return JossoAuthenticationSecurityDomain
    * 
    * @return string
    */
    public static function getJossoAuthenticationSecurityDomain()
    {
         return self::$s_strJossoAuthenticationSecurityDomain; 
    }
    
    /**
    * Return JossoAuthorizationSecurityDomain
    * 
    * @return string
    */
    public static function getJossoAuthorizationSecurityDomain()
    {
         return self::$s_strJossoAuthorizationSecurityDomain;  
    }
    
    /**
    * Return JossoAuthorizationPassword
    * 
    * @return string
    */ 
    public static function getJossoAuthorizationPassword()
    {
         return self::$s_strJossoAuthorizationPassword; 
    }
    
    /**
    * Return JossoPropertySecurityDomain
    * 
    * @return string
    */ 
    public static function getJossoPropertySecurityDomain()
    {
         return self::$s_strJossoPropertySecurityDomain; 
    }
    
    /**
    * Return JossoPropertyPassword
    * 
    * @return string
    */
    public static function getJossoPropertyPassword()
    {
         return self::$s_strJossoPropertyPassword; 
    }  
    
    /**
    * Return JossoWsDefaultSocketTimeout
    * 
    * @return string
    */ 
    public static function getJossoWsDefaultSocketTimeout()
    {
         return self::$s_strJossoWsDefaultSocketTimeout; 
    }
     
    /**
    * Return JossoWsSSOSessionmanager
    * 
    * @return string
    */
    public static function getJossoWsSSOSessionManager()
    {
         return self::$s_strJossoWsSSOSessionmanager; 
    }
    
    /**
    * Return JossoWsSSOIdentitymanager
    * 
    * @return string
    */     
    public static function getJossoWsSSOIdentityManager()
    {
         return self::$s_strJossoWsSSOIdentitymanager; 
    }
    
    /**
    * Return JossoWsSSOIdentityprovider
    * 
    * @return string
    */
    public static function getJossoWsSSOIdentityProvider()
    {
         return self::$s_strJossoWsSSOIdentityprovider; 
    }                  
    
    /**
    * Return AuthenticationManager
    * 
    * @return string
    */
    public static function getAuthenticationManager()
    {
         return self::$s_strAuthenticationManager; 
    }
    
    /**
    * Return AuthorizationManager
    * 
    * @return string
    */
    public static function getAuthorizationManager()
    {
         return self::$s_strAuthorizationManager; 
    }
    
    /**
    * Return PropertyManager
    * 
    * @return string
    */ 
    public static function getPropertyManager()
    {
        return self::$s_strPropertyManager;  
    }
    
    // --------------------------
    // Setter
    // --------------------------
     
    /**
    * Set JossoGatewayLogin
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoGatewayLogin($pstrValue)
    {
         self::$s_strJossoGatewayLogin = $pstrValue;
    }    
          
    /**
    * Set XMLConfigFile
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setXMLConfigFile($pstrValue)
    {
         self::$s_strXMLConfigFile = $pstrValue;
    }    
    
    /**
    * Set JossoEndpoint
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoEndpoint($pstrValue)
    {
         self::$s_strJossoEndpoint = $pstrValue;
    }
    
    /**
    * Set JossoAuthenticationSecurityDomain
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoAuthenticationSecurityDomain($pstrValue)
    {
         self::$s_strJossoAuthenticationSecurityDomain = $pstrValue; 
    }
    
    /**
    * Set JossoAuthorizationSecurityDomain
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoAuthorizationSecurityDomain($pstrValue)
    {
         self::$s_strJossoAuthorizationSecurityDomain = $pstrValue;  
    }
    
    /**
    * Set JossoAuthorizationPassword
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */ 
    public static function setJossoAuthorizationPassword($pstrValue)
    {
         self::$s_strJossoAuthorizationPassword = $pstrValue; 
    }
    
    /**
    * Set JossoPropertySecurityDomain
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */ 
    public static function setJossoPropertySecurityDomain($pstrValue)
    {
         self::$s_strJossoPropertySecurityDomain = $pstrValue; 
    }
    
    /**
    * Set JossoPropertyPassword
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoPropertyPassword($pstrValue)
    {
         self::$s_strJossoPropertyPassword = $pstrValue; 
    }  
    
    /**
    * Set JossoWsDefaultSocketTimeout
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */ 
    public static function setJossoWsDefaultSocketTimeout($pstrValue)
    {
         self::$s_strJossoWsDefaultSocketTimeout = $pstrValue; 
    }
     
    /**
    * Set JossoWsSSOSessionmanager
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoWsSSOSessionManager($pstrValue)
    {
         self::$s_strJossoWsSSOSessionmanager = $pstrValue; 
    }
    
    /**
    * Set JossoWsSSOIdentitymanager
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */     
    public static function setJossoWsSSOIdentityManager($pstrValue)
    {
         self::$s_strJossoWsSSOIdentitymanager = $pstrValue; 
    }
    
    /**
    * Set JossoWsSSOIdentityprovider
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setJossoWsSSOIdentityProvider($pstrValue)
    {
         self::$s_strJossoWsSSOIdentityprovider = $pstrValue; 
    }                  
    
    /**
    * Set AuthenticationManager
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setAuthenticationManager($pstrValue)
    {
         self::$s_strAuthenticationManager = $pstrValue; 
    }
    
    /**
    * Set AuthorizationManager
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setAuthorizationManager($pstrValue)
    {
         self::$s_strAuthorizationManager = $pstrValue; 
    }
    
    /**
    * Set PropertyManager
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */ 
    public static function setPropertyManager($pstrValue)
    {
        self::$s_strPropertyManager = $pstrValue;  
    }
}
  
?>
