<?php
/**
* Exception lanc quand un fichier de config xml n'est pas valide 
* Vrifier la configuration 
* 
* Exception code 210
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-security  
* @author    Pascal Martin 
* @copyright Boral Informations Stratgiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Exception lanc quand un fichier de config xml n'est pas valide 
* Vrifier la configuration 
* 
* Exception code 210
* 
* @category   PHP 
* @package    Borealis-security
* @subpackage Exception 
* @author     Pascal Martin
*/    
class com_borealis_security_exception_BadXMLConfigFileException extends Exception
{
    private $m_strConfigFile = null;
    
    /**
    * @var Exception
    */
    private $m_objException = null;
     
    /**
    * Construit une nouvelle instance de com_borealis_security_exception_BadXMLConfigFileException
    * 
    * @param Exception $pobjException  Exception source
    * @param string    $pstrConfigFile Fichier de configuration qui a caus l'erreur
    * 
    * @return com_borealis_security_exception_BadXMLConfigFileException
    */
    public function __construct(Exception $pobjException, $pstrConfigFile)
    {       
        parent::__construct($pobjException->getMessage(), 210);
        $this->m_objException = $pobjException; 
        $this->m_strConfigFile = $pstrConfigFile;
    }
    
    /**
    * Return Fichier de configuration qui a caus l'erreur  
    * 
    * @return string
    */
    public function getConfigFile()
    {
        return $this->m_strConfigFile;   
    }
    
    /**
    * Retourne l'exception qui a caus cette erreur  
    * 
    * @return Exception
    */
    public function getException()
    {
        return $this->m_objException;   
    } 
}
  
?>
