<?
       
class com_borealis_authentication_checker_PDOCheckerTest extends PHPUnit_Framework_TestCase
{
    public static function getChecker()
    {
        return new com_borealis_authentication_checker_PDOChecker(new com_borealis_authentication_password_V2PasswordCreator(),com_borealis_authentication_Setting::PDO_CHECKER_DSN, com_borealis_authentication_Setting::PDO_CHECKER_QUERY);         
    }    
    
    /**
    * @author Pascal Martin
    * @test
    */
    public function testConstruct()
    {
        $objChecker = self::getChecker();  
        $this->assertTrue( $objChecker instanceof com_borealis_authentication_checker_Checker);
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testConstruct2()
    {
        new com_borealis_authentication_checker_PDOChecker(new com_borealis_authentication_password_V2PasswordCreator(),'','aasd');   
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testConstruct3()
    {
        new com_borealis_authentication_checker_PDOChecker(new com_borealis_authentication_password_V2PasswordCreator(),'asd','');   
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testConstruct4()
    {
        new com_borealis_authentication_checker_PDOChecker(new com_borealis_authentication_password_V2PasswordCreator(),'asd', 123);   
    }
    
    /**
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('admin', 'admin');
        $this->assertTrue($bAuthorized);
    }
    
    /**
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized2()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('admin', 'adminasdasdas');
        $this->assertFalse($bAuthorized);
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized3()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('', 'adminasdasdas');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized4()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('sdfds', '');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized5()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('sdfds', 456);
    }
    
    /**
    * @expectedException Exception 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized6()
    {
        $objChecker = new com_borealis_authentication_checker_PDOChecker(new com_borealis_authentication_password_V2PasswordCreator(),com_borealis_authentication_Setting::PDO_CHECKER_DSN, 'carotte');   
        $bAuthorized = $objChecker->isAuthorized('sdfds', 'asdad');
    }
    
    /**
    * @expectedException PDOException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized7()
    {
        $objChecker = new com_borealis_authentication_checker_PDOChecker(new com_borealis_authentication_password_V2PasswordCreator(), 'PDO_CHECKER_DSN', com_borealis_authentication_Setting::PDO_CHECKER_QUERY);   
        $bAuthorized = $objChecker->isAuthorized('sdfds', 'asdad');
    }    
}   
    
?>