<?
       
class com_borealis_authentication_checker_XMLCheckerTest extends PHPUnit_Framework_TestCase
{
    public static function getChecker()
    {
        return new com_borealis_authentication_checker_XMLChecker(new com_borealis_authentication_password_RawPasswordCreator(), dirname(__FILE__).'/users.xml');
    }
    
    public static function getChecker2()
    {
        return new com_borealis_authentication_checker_XMLChecker(new com_borealis_authentication_password_MD5PasswordCreator(), dirname(__FILE__).'/users.xml');
    }
    
    /**
    * @author Pascal Martin
    * @test
    */
    public function testConstruct()
    {
        $objChecker = self::getChecker();
        $this->assertTrue( $objChecker instanceof com_borealis_authentication_checker_Checker);
    }
       
    /**
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('god', 'god');
        $this->assertTrue($bAuthorized);
        
        $objChecker = self::getChecker2();
        $bAuthorized = $objChecker->isAuthorized('pmartin', 'bingo');
        $this->assertTrue($bAuthorized);
    }
    
    /**
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized2()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('admin', 'adminasdasdas');
        $this->assertFalse($bAuthorized);
        
        $bAuthorized = $objChecker->isAuthorized('god', 'adminasdasdas');
        $this->assertFalse($bAuthorized);
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized3()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('', 'adminasdasdas');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized4()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('sdfds', '');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized5()
    {
        $objChecker = self::getChecker();
        $bAuthorized = $objChecker->isAuthorized('sdfds', 456);
    }
    
    /**  
    * @expectedException Exception
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized6()
    {
        $objChecker = new com_borealis_authentication_checker_XMLChecker(new com_borealis_authentication_password_RawPasswordCreator(), 'asjasijf') ;          

        $bAuthorized = $objChecker->isAuthorized('sdfds', 'asdad');
    }
    
    /**  
    * @expectedException Exception
    * @author Pascal Martin
    * @test
    */
    public function testIsAuthorized7()
    {
        $objChecker = new com_borealis_authentication_checker_XMLChecker(new com_borealis_authentication_password_RawPasswordCreator(), __FILE__ ) ;          

        $bAuthorized = $objChecker->isAuthorized('sdfds', 'asdad');
    }
       
}   
    
?>