<?php
/**
* Setter et getter pour la configuration
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-authentication
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/

/**
* Setter et getter pour la configuration
* 
* @category   PHP 
* @package    Borealis-authentication
* @subpackage Setting   
* @author     Pascal Martin 
*/ 
class com_borealis_authentication_SettingImpl extends com_borealis_authentication_Setting
{
    private static $s_objArrayCheckers = array();
    
    /**
    * Retourne la liste des datacheckerstore a utiliser pour vérifier l'authentification
    * 
    * @return array 
    */
    public static function getCheckers()
    {
        return self::$s_objArrayCheckers;   
    }
    
    /**
    * Set la liste des checker a utiliser pour vérifier l'authentification
    * 
    * @param array $pobjArrayCheckers Liste d'object com_borealis_authentication_checker_Checker
    * 
    * @return void 
    */
    public static function setCheckers(array $pobjArrayCheckers)
    {   
        self::$s_objArrayCheckers = $pobjArrayCheckers;                                            
    }   
}
  
?>