<?php
/**
* Authentification par un fichier xml  
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-authentication
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/

/**
* Authentification par un fichier xml  
* 
* @category   PHP 
* @package    Borealis-authentication
* @subpackage Checker  
* @author     Pascal Martin 
*/ 
class com_borealis_authentication_checker_XMLChecker extends com_borealis_authentication_checker_Checker
{
    private $m_strPath = null;
    
    /**
    * Constructeur de la classe com_borealis_authentication_checker_XMLChecker 
    * 
    * @param com_borealis_authentication_password_PasswordCreator $pobjPasswordCreator Créateur de mot de passe 
    * @param string                                               $pstrPath            Fichier de config avec l'authentification    
    * 
    * @return com_borealis_authentication_checker_XMLChecker
    */
    public function __construct(com_borealis_authentication_password_PasswordCreator $pobjPasswordCreator, $pstrPath) 
    {        
        com_borealis_foundation_util_Assert::assertIsNotEmptyString($pstrPath);
        $this->m_strPath = $pstrPath;
        parent::__construct($pobjPasswordCreator);
    }
    
    /**
    * Vérifie le doit d'authentification
    * 
    * @param string $pstrUsername Nom d'utilisateur
    * @param string $pstrPassword Mot de passe
    *
    * @return boolean Authorized 
    */
    public function isAuthorized($pstrUsername, $pstrPassword)
    {
        com_borealis_foundation_util_Assert::assertIsNotEmptyString($pstrUsername);
        com_borealis_foundation_util_Assert::assertIsNotEmptyString($pstrPassword);
        
        if (file_exists($this->m_strPath))
        {
            $objSimpleXML = simplexml_load_file($this->m_strPath);
            
            foreach ($objSimpleXML->user as $objSimpleXMLElement)
            {
                $strCurrentUsername = (string)$objSimpleXMLElement->username;
                $strCurrentPassword = (string)$objSimpleXMLElement->password;
                if ($strCurrentUsername === $pstrUsername && $strCurrentPassword === $this->getPasswordValue($pstrPassword))
                {
                    return true;
                }
            }
            return false;
        }
        else
        {
            throw new Exception('File not exist');            
        }                 
    }    
}
  
?>
