<?php
/**
* Classe de base qui représente un mot de passe avec encryption md5
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-authentication
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/

/**
* Classe de base qui représente un mot de passe avec encryption md5
* 
* @category   PHP 
* @package    Borealis-authentication
* @subpackage Password
* @author     Pascal Martin 
*/
class com_borealis_authentication_password_MD5Password extends com_borealis_authentication_password_Password
{
    /**
    * Construit une nouvelle instance de com_borealis_authentication_password_MD5Password
    * 
    * @param string $pstrValue Password value in raw text
    * 
    * @throws com_borealis_security_IllegalArgumentException
    * 
    * @return com_borealis_security_MD5Password
    */
    function __construct($pstrValue) 
    {
        com_borealis_foundation_util_Assert::assertIsNotEmptyString($pstrValue);
        parent::__construct(md5($pstrValue));
    }   
}   
    
?>