<?php

$strCurrentDir = dirname(__FILE__);
require "$strCurrentDir/../../config.php";

// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(
    ".".
    PATH_SEPARATOR.$g_strGeoprismaCore.
    PATH_SEPARATOR.$g_strBorealisFoundation.
    PATH_SEPARATOR.$g_strBorealisAuthentication.
    PATH_SEPARATOR.$g_strBorealisAcl
);

// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';

// ---------------
// Authentication
// ---------------
session_start();

if(isset($_REQUEST['logout']))
{
    unset($_SESSION['login_username']);
}

if (!isset($_SESSION['login_username']))
{
    $strUsername = null;
    $strPassword = null;
    $strMethod = null;
    $strError = '';
    
    if(isset($_REQUEST['username']))
    {
        $strUsername = $_REQUEST['username'];
    }
    if(isset($_REQUEST['password']))
    {
        $strPassword = $_REQUEST['password'];
    }

    if ($strUsername == null || $strPassword == null)
    {
        if(!isset($_REQUEST['logout']))
        {
            $strError = 'Username and password are mandatory';
        }         
        include 'login.php';
        exit;
    }
    
    $objRawPasswordCreator = new com_borealis_authentication_password_RawPasswordCreator();
    $g_strXMLFILE = "$strCurrentDir/users.xml";
    $objChecker = new com_borealis_authentication_checker_XMLChecker($objRawPasswordCreator, $g_strXMLFILE);
                
    com_borealis_authentication_SettingImpl::setCheckers(array($objChecker));

    $bIsAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized($strUsername, $strPassword);
    if ($bIsAuthorized)
    {        
        $_SESSION['login_username'] = $strUsername;        
    }
    else
    {
        $strError = 'Bad username or password';
        include 'login.php';
        exit;
    }
}

// -------------
// ACL settings
// -------------
org_geoprisma_SettingImpl::setACLClass('org_geoprisma_acl_BorealisACL');
com_borealis_acl_SettingImpl::setDataStore('com_borealis_acl_datastore_XMLDataStore');
com_borealis_acl_SettingImpl::setXMLConfigFile("$strCurrentDir/acl.xml");
org_geoprisma_acl_BorealisACL::setUsername($_SESSION['login_username']);

// -------------------
// GeoPrisma settings
// -------------------
org_geoprisma_SettingImpl::setXMLConfigFile("$strCurrentDir/config.xml"); 
org_geoprisma_SettingImpl::setTemplateDir($g_strTemplateDir);
org_geoprisma_SettingImpl::setWidgetDir($g_strWidgetDir);
org_geoprisma_SettingImpl::setLocaleDir($g_strLocaleDir);   

org_geoprisma_SettingImpl::setLibUrl($g_strLibUrl);
org_geoprisma_SettingImpl::setTemplateUrl($g_strTemplateUrl);
org_geoprisma_SettingImpl::setWidgetUrl($g_strWidgetUrl );

org_geoprisma_SettingImpl::setProxyURL(dirname($_SERVER['PHP_SELF']).'/proxy.php');

?>
