<?php
  
ob_start();
  
// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.'../../../../lib/php-borealis-foundation-0.1.0.19-lite'.
                     PATH_SEPARATOR.'../../../../script');

// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';  
  
$strCurrentDir = dirname(__FILE__);  

// ------------------------- 
// Check python install
// -------------------------
$strResult = shell_exec('python -V 2>&1'); 
if (strpos($strResult, 'Python ') === false)
{
    die('Python was not installed, make sure python is in your system path.'); 
}  

// ---------------------------
// Check sphinx-build install
// ---------------------------
$strResult = shell_exec('sphinx-build 2>&1'); 
if (strpos($strResult, 'Sphinx v') === false)
{
   die('Sphinx was not installed, make sure sphinx-build is in your system path.'); 
}

// ---------------------------
// Copy widget and sample .rst file
// ---------------------------
$strSamplesDest = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\docs\source\samples\list');
$strWidgetsDest = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\docs\source\widgets\list');

scan(com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../samples"), $strSamplesDest); 
scan(com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../src/client/widgets"), $strWidgetsDest); 

// ------------------------- 
// Lauch build doc   
// -------------------------
$strScanDir = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\docs\source'); 
$strDistDir = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\dist');
$strOutput =  $strDistDir.DIRECTORY_SEPARATOR.'build';

$strCommand = 'sphinx-build -b html -d "'.$strOutput.'/doctrees" "'.$strScanDir.'" "'.$strOutput.'/html" 2>&1';   

// Make output folder
if (!file_exists($strOutput))
{
    mkdir($strOutput, 0777, true);     
}

$strResult = shell_exec($strCommand);   
  
echo $strResult;      
  
// ---------------------------
// Remoce Copied widget and sample .rst file
// ---------------------------  
deleteDirectory($strSamplesDest);  
deleteDirectory($strWidgetsDest);   
  
function scan($pstrSrc, $pstrDest)
{
    $strDeprecatedDir = "deprecated";
    $strUnstableDir = "unstable";
    $strStableDir = "stable";
    $strDeprecatedMarker = $strDeprecatedDir;
    $strUnstableMarker = $strUnstableDir;

    foreach (new DirectoryIterator($pstrSrc) as $fileInfo) 
    {
        $strFileName = $fileInfo->getFilename();
        if($fileInfo->isDot())
        {
            continue;        
        }
        else if($fileInfo->isDir() && $strFileName != '.svn')
        {
            scan($fileInfo->getPathname(), $pstrDest);
        }
        else if($fileInfo->isFile() && strpos($strFileName, '.rst') !== false)
        {
            // find widget status
            if (is_file($fileInfo->getPath().DIRECTORY_SEPARATOR.$strDeprecatedMarker))
            {
                $strWidgetStatusDir = $strDeprecatedDir;
            }
            else if (is_file($fileInfo->getPath().DIRECTORY_SEPARATOR.$strUnstableMarker))
            {
                $strWidgetStatusDir = $strUnstableDir;
            }
            else
            {
                $strWidgetStatusDir = $strStableDir;
            }
                
            if (!file_exists($pstrDest.DIRECTORY_SEPARATOR.$strWidgetStatusDir))
            {
                mkdir($pstrDest.DIRECTORY_SEPARATOR.$strWidgetStatusDir, 0777, true);    
            }            
            copy($fileInfo->getPathname(), $pstrDest.DIRECTORY_SEPARATOR.$strWidgetStatusDir.DIRECTORY_SEPARATOR.$strFileName);     
        }
    }
}

function deleteDirectory($dir) {
    if (!file_exists($dir)) return true;
    if (!is_dir($dir)) return unlink($dir);
    foreach (scandir($dir) as $item) {
        if ($item == '.' || $item == '..') continue;
        if (!deleteDirectory($dir.DIRECTORY_SEPARATOR.$item)) return false;
    }
    return rmdir($dir);
}
    
?>
