<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2010- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 

<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:attributefilterpanel="http://geoprisma.org/attributefilterpanel" 
    extension-element-prefixes="dyn">

    <xsl:output method="html" indent="yes" encoding="utf-8" omit-xml-declaration="yes"/> 
    <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

    <!-- GeoExt.ux.form.AttributeFilterPanel, source from lib dir -->
    <xsl:template name="attributefilterpanel:printWidgetSource">
      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_lib_url"/>
          <xsl:text>/geoext-ux-attributefilterpanel/lib/GeoExt.ux/widgets/attributefilterpanel/AttributeFilterBasicForm.js</xsl:text>
        </xsl:attribute>
      </script>

      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_lib_url"/>
          <xsl:text>/geoext-ux-attributefilterpanel/lib/GeoExt.ux/widgets/attributefilterpanel/AttributeFilterPanel.js</xsl:text>
        </xsl:attribute>
      </script>

      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_lib_url"/>
          <xsl:text>/geoext-ux-attributefilterpanel/lib/GeoExt.ux/widgets/attributefilterpanel/FormToFilter.js</xsl:text>
        </xsl:attribute>
      </script>

      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_lib_url"/>
          <xsl:text>/geoext-ux-attributefilterpanel/lib/GeoExt.ux/widgets/attributefilterpanel/FilterAction.js</xsl:text>
        </xsl:attribute>
      </script>

      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_lib_url"/>
          <xsl:text>/geoext-ux-attributefilterpanel/lib/GeoExt.ux/widgets/attributefilterpanel/ResetAction.js</xsl:text>
        </xsl:attribute>
      </script>

      <!-- GeoExt.ux.form.AttributeFilterPanel, source from widget dir -->
      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_widgets_url"/>
          <xsl:text>/attributefilterpanel/js/widgets/AttributeFilterPanelBuilder.js</xsl:text>
        </xsl:attribute>
      </script>
    </xsl:template>

    <xsl:template name="attributefilterpanel:printWidgetExecution">
        <xsl:param name="pWidgetName" />
        <xsl:param name="pResourceName" />
        <xsl:param name="pMapName" />

        <xsl:variable name="sXpathMap">
            <xsl:text>/geoprisma/widgets/widget[./name='</xsl:text>
            <xsl:value-of select="$pWidgetName"/>
            <xsl:text>']</xsl:text>
        </xsl:variable>

        <xsl:for-each select="dyn:evaluate($sXpathMap)">
            <xsl:for-each select="./options/filters">
                <script type="text/javascript">

                    var objGPWidget<xsl:value-of select="$pWidgetName"/>;
                    
                    // Ext.onReady(function() {
                        var attributeFilterPanelOpts_<xsl:value-of select="$pWidgetName"/> = {
                            layout: 'accordion',
                            <xsl:choose>
                                <xsl:when test="../label">
                                    title: "<xsl:value-of select='../label' />",
                                </xsl:when>
                                <xsl:otherwise>
                                    title: undefined,
                                </xsl:otherwise>
                            </xsl:choose>
                            filters: [

                        <xsl:call-template name="attributefilterpanel:prepareFilters">
                            <xsl:with-param name="pWidgetName" select="$pWidgetName" />
                            <xsl:with-param name="pMapName" select="$pMapName" />
                        </xsl:call-template>

                        ]};

                        objGPWidget<xsl:value-of select="$pWidgetName"/> = new GeoExt.ux.form.AttributeFilterPanelBuilder(
                            attributeFilterPanelOpts_<xsl:value-of select="$pWidgetName"/>
                        );
                    // });
                    

                </script>
            </xsl:for-each>
        </xsl:for-each>
    </xsl:template>

    <xsl:template name="attributefilterpanel:prepareFilters">
        <xsl:param name="pWidgetName" />
        <xsl:param name="pMapName" />

        <xsl:for-each select="filter">

            <xsl:variable name="pServiceName">
                <xsl:call-template name="getDataStoreInfoFromWidget">
                    <xsl:with-param name="pWidgetName" select="$pWidgetName" />
                    <!-- FIXME: what if the service type is something else? e.g. wfs or wms -->
                    <xsl:with-param name="pServiceType" select="'featureserver'" />
                    <xsl:with-param name="pNodeName"><xsl:text>service</xsl:text></xsl:with-param>
                    <xsl:with-param name="pResourceName" select="./resourcename"/>
                </xsl:call-template>
            </xsl:variable>

            <xsl:variable name="pLayerName">
                <xsl:call-template name="getDataStoreInfoFromWidget">
                    <xsl:with-param name="pWidgetName" select="$pWidgetName" />
                    <!-- FIXME: what if the service type is something else? e.g. wfs or wms -->
                    <xsl:with-param name="pServiceType" select="'featureserver'" />
                    <xsl:with-param name="pNodeName"><xsl:text>params/layers</xsl:text></xsl:with-param>
                    <xsl:with-param name="pResourceName" select="./resourcename"/>
                    </xsl:call-template>
            </xsl:variable>

            <xsl:if test="position()>1">,</xsl:if>
            {
            <xsl:choose>
                <xsl:when test="./name">
                    name: "<xsl:value-of select='./name' />",
                </xsl:when>
                <xsl:otherwise>
                    name: undefined,
                </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
                <xsl:when test="./label">
                    label: "<xsl:value-of select='./label' />",
                </xsl:when>
                <xsl:otherwise>
                    label: undefined,
                </xsl:otherwise>
            </xsl:choose>
                layers: objGPWidget<xsl:value-of select='$pMapName'/>.getLayersByResource('<xsl:value-of select='./resourcename'/>'),
            <xsl:choose>
                <xsl:when test="./logical_op">
                    logical_op: "<xsl:value-of select='./logical_op' />",
                </xsl:when>
                <xsl:otherwise>
                    logical_op: undefined,
                </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
                <xsl:when test="./ignoreempty = 'true'">
                    ignoreempty: true,
                </xsl:when>
                <xsl:when test="./ignoreempty = 'false'">
                    ignoreempty: false,
                </xsl:when>
                <xsl:otherwise>
                    ignoreempty: undefined,
                </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
                <xsl:when test="./no_features_on_empty_form = 'true'">
                    no_features_on_empty_form: true,
                </xsl:when>
                <xsl:when test="./zoom_to_features = 'false'">
                    no_features_on_empty_form: false,
                </xsl:when>
                <xsl:otherwise>
                    no_features_on_empty_form: undefined,
                </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
                <xsl:when test="./zoom_to_features = 'true'">
                    zoom_to_features: true,
                </xsl:when>
                <xsl:when test="./zoom_to_features = 'false'">
                    zoom_to_features: false,
                </xsl:when>
                <xsl:otherwise>
                    zoom_to_features: undefined,
                </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
                <xsl:when test="./fields">
                    <!-- there should be only 1 <fields> element -->
                    <xsl:for-each select="fields">
                        fields: [
                        <!-- for each field ... -->
                        <xsl:for-each select="field">
                            <xsl:if test="position()>1">,</xsl:if>
                            {
                            <xsl:choose>
                                <xsl:when test="./name">
                                    name: "<xsl:value-of select='./name' />",
                                </xsl:when>
                                <xsl:otherwise>
                                    name: undefined,
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test="./operator">
                                    operator: "<xsl:value-of select='./operator' />",
                                </xsl:when>
                                <xsl:otherwise>
                                    operator: undefined,
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test="./xtype">
                                    xtype: "<xsl:value-of select='./xtype' />",
                                </xsl:when>
                                <xsl:otherwise>
                                    xtype: undefined,
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test='./defaultvalue'>
                                    defaultvalue: "<xsl:value-of select='./defaultvalue' />",
                                </xsl:when>
                                <xsl:otherwise>
                                    defaultvalue: undefined,
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test='./label'>
                                    label: "<xsl:value-of select='./label' />",
                                </xsl:when>
                                <xsl:otherwise>
                                    label: undefined,
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test='./format'>
                                    format: "<xsl:value-of select='./format' />"
                                </xsl:when>
                                <xsl:otherwise>
                                    format: "Y-m-d"
                                </xsl:otherwise>
                            </xsl:choose>
                            }
                        </xsl:for-each>
                        ]
                    </xsl:for-each>
                </xsl:when>
                <xsl:otherwise>
                    fields: undefined
                </xsl:otherwise>
            </xsl:choose>
            }
        </xsl:for-each>
    </xsl:template>

    <xsl:template name="attributefilterpanel:drawWidget">
        <xsl:param name="pWidgetName" />
        <![CDATA[objGPWidget]]><xsl:value-of select="$pWidgetName" />

    </xsl:template>

</xsl:stylesheet>
