<?php
/* 
   Copyright (c) 2009- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 

class EditFeature_Delete extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'delete';
    }    
     
    static public function getType()
    {
        return 'editfeature_delete';
    }

    static public function getServiceType()
    {
        return 'featureserver';
    }

    static public function needLayer() 
    {
        return true;
    }

    static public function getMandatoryResourceOptionList()
    {
        return array("editable" => "editable");
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return false;
    }

    static public function linkResource($pobjResource, $pobjWidget) 
    {
        $strThisType = "delete";

        if ($pobjResource == null || $pobjWidget == null) 
        {
            return false;
        }

        // decode 'featurecontroloptions' option value (json) if set
        // also, since the widget isn't cloned, it may have already been
        // changed
        try
        {
            $objOption = $pobjWidget->getOption('featurecontroloptions');
            if (is_string($objOption->getValue())) 
            {
                $objOption->setValue(
                    json_decode($objOption->getValue(), true)
                );
            }
        }
        catch (Exception $objError) {}

        // manage editType and editTypes options
        $objArrayEditTypes = array();

        $objEditTypeOption = $pobjResource->getOption('editType', true);
        if ($objEditTypeOption !== false)
        {
            array_push($objArrayEditTypes, $objEditTypeOption->getValue());
        }
        else
        {
            $objEditTypesOption = $pobjResource->getOption('editTypes', true);
            if ($objEditTypesOption !== false)
            {
                $objArrayEditTypes = $objEditTypesOption->getValue();
            }
        }

        if (count($objArrayEditTypes) == 0)
        {
            $bLink = true;
        }
        else
        {
            $bLink = false;
            foreach ($objArrayEditTypes as $iKey => $strEditType)
            {
                if ($strEditType == $strThisType)
                {
                    $bLink = true;
                    break;
                }
            }
        }
        
        return $bLink;
    }
}
  
?>
