<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2011- MapGears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 

<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:featurepanel_attributeform="http://geoprisma.org/featurepanel_attributeform"
    extension-element-prefixes="dyn">
  <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

<!-- Function : printWidgetSource -->
  <xsl:template name="featurepanel_attributeform:printWidgetSource">
    <xsl:variable name="WidgetType">
      <xsl:text>featurepanel_attributeform</xsl:text>
    </xsl:variable>

    <script>
        <xsl:attribute name="src" >
             <xsl:value-of select="$g_widgets_url"/>
             <xsl:text>/featurepanel/attributeform/AttributeForm.js</xsl:text>
        </xsl:attribute>
    </script>

    <script>
        <xsl:attribute name="src" >
             <xsl:value-of select="$g_widgets_url"/>
             <xsl:text>/featurepanel/attributeform/AttributeFormBuilder.js</xsl:text>
        </xsl:attribute>
    </script>

    <!-- i18n : "fr_CA" -->
    <xsl:if test="$g_locale = 'fr_CA'">
      <script>
        <xsl:attribute name="src" >
          <xsl:value-of select="$g_widgets_url"/>
          <xsl:text>/featurepanel/attributeform/resources/lang/fr.js</xsl:text>
        </xsl:attribute>
      </script>
    </xsl:if>

  </xsl:template>

<!-- Function : printWidgetExecution -->
  <xsl:template name="featurepanel_attributeform:printWidgetExecution">
    <xsl:param name="pWidgetName" />
    <xsl:param name="pMapName" />

    <xsl:variable name="WidgetType">
      <xsl:text>featurepanel_attributeform</xsl:text>
    </xsl:variable>

    <script type="text/javascript">
      var objGPWidget<xsl:value-of select="$pWidgetName" />;

      Ext.onReady(function() {

      var objWidgetOptions =
      <xsl:for-each select="./options">
        <xsl:call-template name="getObjectFromNode">
          <xsl:with-param name="pNode" select="." />
        </xsl:call-template>
      </xsl:for-each>;

      <!-- Widget object creation  -->
      objGPWidget<xsl:value-of select="$pWidgetName" /> =
          new org.GeoPrisma.FeaturePanel.AttributeFormBuilder(objWidgetOptions);
      
      <xsl:for-each select="./resources/resource">
        <!-- ResourceName -->
        <xsl:variable name="pResourceName">
          <xsl:value-of select="." />
        </xsl:variable>

        objGPWidget<xsl:value-of select="$pWidgetName" />.addResourceFields({
            'resource': '<xsl:value-of select="$pResourceName" />',
            'fields': <xsl:for-each select="./../../../../resources/resource[./name = $pResourceName]/fields"><xsl:call-template name="getObjectFromNode"><xsl:with-param name="pNode" select="." /></xsl:call-template></xsl:for-each>
        });

        if (Ext.isDefined(window.goEditFeatureActions) &amp;&amp;
            goEditFeatureActions['<xsl:value-of select="$pResourceName" />']
        ) {
            Ext.each(goEditFeatureActions['<xsl:value-of select="$pResourceName" />'], function(objEditFeatureAction, index) {
                if (objEditFeatureAction.control instanceof OpenLayers.Control.EditFeature_Create || objEditFeatureAction.control instanceof OpenLayers.Control.EditFeature_Update) {
                    objEditFeatureAction.control.setFeaturePanel(
                        objGPWidget<xsl:value-of select="$pWidgetName" />
                    );
                }
            });
        }

      </xsl:for-each><!-- end of for-each resources -->

      }); // onReady end
    </script>
  </xsl:template>

</xsl:stylesheet>
