<?php
/* 
   Copyright (c) 2009- Mapgears, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 

class FileTreePanel extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg)
    {
        return parent::getText($pstrMsg, self::getType());
    }
     
    static public function getAction()
    {
        return 'read';
        // 'create' as well
    }    
     
    static public function getType()
    {
        return 'filetreepanel';
    }

    static public function getServiceType()
    {
        return 'file';
    }

    static public function needLayer() 
    {
        return false;
    }

    static public function linkResource(
        $pobjResource, $pobjWidget, $pobjConfig=null
    ) {
        if ($pobjWidget == null || $pobjConfig == null) 
        {
            return false;
        }

        // try to find at least one resource that has a datastore linked to 
        // the service mentioned in the widget.
        try
        {
            $strFileServiceName = $pobjWidget->getOption('servicename')->getValue();
            foreach ($pobjConfig->getResources() as $objResource) 
            {
                if (org_geoprisma_acl_ACLFactory::getACL()->isAuthorized(
                    $objResource, $pobjWidget->getAction())
                ) {
                    foreach ($objResource->getDatastores() as $objDatastore) 
                    {
                        if ($objDatastore->getService()->getName() === $strFileServiceName) {
                            return true;
                        }
                    }
                }
            }
        }
        catch(Exception $objError) {}

        return false;
    }
}
  
?>
