<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2009- Mapgears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 
<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:geoextux_geonamessearchcombo="http://geoprisma.org/geoextux_geonamessearchcombo"
    extension-element-prefixes="dyn">

  <xsl:output method="html" indent="yes" encoding="utf-8" omit-xml-declaration="yes"/>
  <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

  <!-- printWidgetSource START  -->
  <xsl:template name="geoextux_geonamessearchcombo:printWidgetSource">
    <xsl:variable name="WidgetType">
      <xsl:text>geoextux_geonamessearchcombo</xsl:text>
    </xsl:variable>

    <script>
        <xsl:attribute name="src" >
             <xsl:value-of select="$g_lib_url"/>
             <xsl:text>/geoext-ux/GeoNamesSearchCombo/ux/widgets/form/GeoNamesSearchCombo.js</xsl:text>
        </xsl:attribute>
    </script>
    
    <script type="text/javascript">
      var objGPWidget<xsl:value-of select="$WidgetType" />GeoExtToolbarOptions;
    </script>
   </xsl:template>
  <!-- printWidgetSource END  -->

  <!-- printWidgetExecution START  -->
  <xsl:template name="geoextux_geonamessearchcombo:printWidgetExecution">
    <xsl:param name="pWidgetName" />
    <xsl:param name="pMapName" />

    <script type="text/javascript">
      oMap = objGPWidget<xsl:value-of select="$pMapName"/>;
      var objGPWidget<xsl:value-of select="$pWidgetName" />GeoExtToolbarOptions;

      var objWidgetOptions = {};
      <xsl:for-each select="./options">
        objWidgetOptions =
        <xsl:call-template name="getObjectFromNode">
          <xsl:with-param name="pNode" select="." />
        </xsl:call-template>;
      </xsl:for-each>
      objWidgetOptions['map'] = oMap;

      var objGPWidget<xsl:value-of select="$pWidgetName" /> =
          new GeoExt.ux.form.GeoNamesSearchCombo(objWidgetOptions);
      objGPWidget<xsl:value-of select="$pWidgetName" />GeoExtToolbarOptions =
          objGPWidget<xsl:value-of select="$pWidgetName" />;
    </script>
  </xsl:template>
  <!-- printWidgetExecution END  -->

</xsl:stylesheet>
