<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2009-2012 Boreal - Information Strategies
   Published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 
<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:sample="http://geoprisma.org/sample"
    extension-element-prefixes="dyn">

  <xsl:output method="html" indent="yes" encoding="utf-8" omit-xml-declaration="yes"/>
  <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

  <!-- printWidgetSource START  -->
  <xsl:template name="sample:printWidgetSource">
    <script>
        <xsl:attribute name="src" >
             <xsl:value-of select="$g_widgets_url"/>
             <xsl:text>/sample/lib/org.GeoPrisma.MySampleClass.js</xsl:text>
        </xsl:attribute>    
    </script>

    <link rel="stylesheet" type="text/css" >
        <xsl:attribute name="href" >
             <xsl:value-of select="$g_widgets_url"/>
             <xsl:text>/sample/resources/css/Sample.css</xsl:text>
        </xsl:attribute>
    </link>

    <script type="text/javascript">
      var objGPWidget<xsl:value-of select="$WidgetType" />GeoExtToolbarOptions;
      var objGPWidget<xsl:value-of select="$WidgetType" />Container;
    </script>
   </xsl:template>
  <!-- printWidgetSource END  -->

  <!-- printWidgetExecution START  -->
  <xsl:template name="sample:printWidgetExecution">
    <xsl:param name="pWidgetName" />
    <xsl:param name="pMapName" />

    <!-- get draw mode  -->
    <xsl:variable name="pDrawMode">
      <xsl:value-of select="$drawmode" />
    </xsl:variable>

    <script type="text/javascript">
      oMap = objGPWidget<xsl:value-of select="$pMapName"/>;
      var objGPWidget<xsl:value-of select="$pWidgetName" />GeoExtToolbarOptions;

      var objWidgetOptions = {};
      <xsl:for-each select="./options">
        objWidgetOptions =
        <xsl:call-template name="getObjectFromNode">
          <xsl:with-param name="pNode" select="." />
        </xsl:call-template>;
      </xsl:for-each>
      objWidgetOptions['map'] = oMap;

     var objGPWidget<xsl:value-of select="$pWidgetName" /> =
          new org.GeoPrisma.MySampleClass(objWidgetOptions);

      objGPWidget<xsl:value-of select="$pWidgetName" />GeoExtToolbarOptions =
          objGPWidget<xsl:value-of select="$pWidgetName" />;
    </script>
  </xsl:template>
  <!-- printWidgetExecution END  -->

  <!-- drawWidget START  -->
  <xsl:template name="sample:drawWidget">
    <xsl:param name="pWidgetName" />
      objGPWidget<xsl:value-of select="$pWidgetName" />
  </xsl:template>
  <!-- drawWidget END  -->

  <!-- 
       Method: drawWidgets
         Add the objGPWidget<WidgetType>Container object to an other given
         container

       Properties:
         pContainer - objGPWidget<WidgetType>Container is added to this object
         WidgetType - The widget type
    -->
  <!-- drawWidgets START  -->
  <xsl:template name="sample:drawWidgets">
    <xsl:param name="pContainer" />

    <xsl:variable name="WidgetType">
      <xsl:text>sample</xsl:text>
    </xsl:variable>

    if (typeof(objGPWidget<xsl:value-of select="$WidgetType" />Container) != 'undefined' &amp;&amp; typeof(<xsl:value-of select="$pContainer" />) != 'undefined')
    {
        if(<xsl:value-of select="$pContainer" />['ctype']){
            <xsl:value-of select="$pContainer" />.add(
                objGPWidget<xsl:value-of select="$WidgetType" />Container
            );
        } else {
            <xsl:value-of select="$pContainer" />.items.push(
                objGPWidget<xsl:value-of select="$WidgetType" />Container
            )
        }
    }
  </xsl:template>
  <!-- drawWidgets END  -->

</xsl:stylesheet>
