<?php
/**
* Class de base pour l'ACL (Access Control List - liste de contrôle d'accès)
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Class de base pour l'ACL (Access Control List - liste de contrôle d'accès)
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage ACL 
* @author     Pascal Martin 
*/ 
abstract class org_geoprisma_acl_ACL implements com_borealis_foundation_util_Singleton
{
    /**
    * Indique si nous somme autoriser a accéder à l'action de la ressource spécifier
    * 
    * @param org_geoprisma_resource_Resource $pobjResource Resource object
    * @param string                          $pstrAction   Nom de l'action
    * 
    * @return boolean
    */
    abstract public function isAuthorized($pobjResource, $pstrAction);
}
  
?>
