<?php
/**
* ACL (Access Control List - liste de contrôle d'accès) qui autorise l'accès a tout
* Comme si on avais pas de acl
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* ACL (Access Control List - liste de contrôle d'accès) qui autorise l'accès a tout
* Comme si on avais pas de acl
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage ACL 
* @author     Pascal Martin 
*/  
class org_geoprisma_acl_NoACL extends org_geoprisma_acl_ACL
{
    private static $s_objInstance = null;
 
    /**
    * Construit un instance de org_geoprisma_acl_NoACL
    * 
    * @return org_geoprisma_acl_NoACL
    */   
    private function __construct()
    {
        // Constructeur privé pour forcer l'utilisation de getInstance (Singleton DP)  
    }
    
    /**
    * Retourne un instance de org_geoprisma_acl_NoACL
    * Singleton DP
    * 
    * @return org_geoprisma_acl_NoACL
    */
    public static function getInstance()
    {
        if (is_null(self::$s_objInstance)) 
        {
            self::$s_objInstance = new org_geoprisma_acl_NoACL();
        }
        return self::$s_objInstance;
    }

    /**
    * Indique si nous somme autoriser a accéder à l'action de la ressource spécifier
    * 
    * @param org_geoprisma_resource_Resource $pobjResource Resource object
    * @param string                          $pstrAction   Nom de l'action
    * 
    * @return boolean
    */
    public function isAuthorized($pobjResource, $pstrAction)
    {
        return true;   
    }
}
  
?>
