<?php
/**
* Factory pour le Locale - Traduction
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/
    
/**
* Factory pour le Locale - Traduction
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage Locale
* @author     Pascal Martin
*/
class org_geoprisma_locale_LocaleFactory extends com_borealis_foundation_manager_Factory
{
    /**
    * Construit une nouvelle instance de org_geoprisma_locale_LocaleFactory
    * Force l'utilisation de la méthode getLocale 
    * 
    * @return org_geoprisma_locale_LocaleFactory
    */
    private function __construct() 
    {
        // vide
    }
    
    /**
    * Return a ACL
    * 
    * @return org_geoprisma_locale_Locale
    */
    public static function getLocale()
    {
        $objFactory = new org_geoprisma_locale_LocaleFactory(); 
        return $objFactory->getManager(org_geoprisma_SettingImpl::getLocaleClass());
    }
    
    /**
    * Vérifie que l'object passer est un instance de org_geoprisma_locale_Locale
    * 
    * @param object $pobjManager object to test
    * 
    * @return bool
    */            
    protected function isGoodInstance($pobjManager)
    {
        return $pobjManager instanceof org_geoprisma_locale_Locale;  
    }
    
    /**
    * Retourne une erreur
    * 
    * @param string $pstrMessage Message erreur
    * 
    * @return org_geoprisma_exception_BadConfigException
    */
    protected function getError($pstrMessage)
    {
        return new org_geoprisma_exception_BadConfigException($pstrMessage);   
    }  
}
    
    
?>