<?php
/**
* Class Proxy file when request is a new directory
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Alexandre Dube
* @copyright 2011, Mapgears
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Class Proxy file when request is a new directory
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage FileProxy
* @author     Alexandre Dube
*/ 
class org_geoprisma_proxy_file_FileNewDirProxy extends org_geoprisma_proxy_file_FileProxy
{

    /**
    * Foward the call end return the result
    * 
    * @return void
    */
    public function process()
    {
        $strPath = $this->getLayer();
        $objFileTree = new org_geoprisma_proxy_file_FileTree($this->getService()->getSource());
        echo $objFileTree->createDirectory($strPath);
    }
    
    /**
    * Returns the action this proxy does
    *                                   
    * @return string
    */
    public function getAction()
    {
        return self::CRUD_CREATE;
    }

    /**
    * Return Layer
    * 
    * @return string
    */
    public function getLayer()
    {
        if (isset($_REQUEST['dir']) && $_REQUEST['dir']) 
        {
            return preg_replace('/^root\/?/', '', $_REQUEST['dir']);
        }
        return '';        
    }
}

?>
