<?php


include_once dirname(__FILE__).'../../../../../../src/client/widgets/merge/merge.php';
    
class MergeTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('create', Merge::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('merge', Merge::getType());
    }     
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', Merge::getText('phpunit_test','scale'));
        $this->assertEquals('phpunit_test', Merge::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', Merge::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', Merge::getText('phpunit_test','scale'));  
        $this->assertEquals('phpunit_test', Merge::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', Merge::getText('phpunit_test'));   
    } 
    
    public function testGetText2()    
    {
        $this->assertEquals('"1234\'56\"789"', Merge::getText('1234\'56"789', 'JS')); 
            
    }
    
    public function testDoMerge()    
    {    
        ob_start();
        Merge::doMerge(); 
        $strResult = ob_get_contents();
        ob_end_clean();    
        $objResult = json_decode($strResult);
        $this->assertEquals(false, $objResult->success);
        $this->assertEquals(false, $objResult->reload); 
        $this->assertEquals(Merge::getText('i18n_select_two_feature_messagebox_msg'), $objResult->message);        
    } 
    
    public function testDoMerge2()    
    {    
        $_REQUEST['fid'] = '2';
        
        ob_start();
        Merge::doMerge(); 
        $strResult = ob_get_contents();
        ob_end_clean();    
        $objResult = json_decode($strResult);
        $this->assertEquals(false, $objResult->success);
        $this->assertEquals(false, $objResult->reload); 
        $this->assertEquals(Merge::getText('i18n_select_two_feature_messagebox_msg'), $objResult->message);             
    }
    
    public function testDoMerge3()    
    {    
        $_REQUEST['fid'] = array();
        
        ob_start();
        Merge::doMerge(); 
        $strResult = ob_get_contents();
        ob_end_clean();  
        $objResult = json_decode($strResult);         
        $this->assertEquals(false, $objResult->success);
        $this->assertEquals(false, $objResult->reload); 
        $this->assertEquals(Merge::getText('i18n_select_two_feature_messagebox_msg'), $objResult->message);             
    } 
    
    public function testDoMerge4()    
    {    
        $_REQUEST['fid'] = array(-1, -2);
        
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig(); 
        $objWidget = $objConfig->getWidget('MergeParcel');
        $this->assertNotEquals(null, $objWidget);
        
        ob_start();
        Merge::doMerge($objWidget); 
        $strResult = ob_get_contents();
        ob_end_clean();    
        $objResult = json_decode($strResult);       
        $this->assertEquals(false, $objResult->success);
        $this->assertEquals(false, $objResult->reload); 
        $this->assertEquals(Merge::getText('i18n_error_001_invalid_polygon_id'), $objResult->message);                 
    }   
}
  
?>