<?php

class org_geoprisma_acl_BorealisACLTest extends PHPUnit_Framework_TestCase
{
    public function testIsAuthorized()    
    {
        $objACL = org_geoprisma_acl_BorealisACL::getInstance();
        $this->assertFalse($objACL->isAuthorized('asf','asd'));
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testIsAuthorized2()    
    {
        $objACL = org_geoprisma_acl_BorealisACL::getInstance();
        $this->assertFalse($objACL->isAuthorized('dssf',''));
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testIsAuthorized3()    
    {
        $objACL = org_geoprisma_acl_BorealisACL::getInstance();
        $this->assertFalse($objACL->isAuthorized('','assa'));
    }
    
    public function testSetUsername()    
    {
        $objACL = org_geoprisma_acl_BorealisACL::getInstance();
        $objACL->setUsername('testuser');
        $this->assertEquals('testuser', $objACL->getUsername());
    }
    
    public function testSetCaching()    
    {
        $this->assertEquals(false, org_geoprisma_acl_BorealisACL::isCached());
        org_geoprisma_acl_BorealisACL::setCaching(true);
        $this->assertEquals(true, org_geoprisma_acl_BorealisACL::isCached());
    }  
   
    // Test caching
    public function testIsAuthorized4()    
    {
        org_geoprisma_acl_BorealisACL::setCaching(true);
        
        $objACL = org_geoprisma_acl_BorealisACL::getInstance();
        $this->assertFalse($objACL->isAuthorized('ressourceName','actionName'));
        
        $this->assertTrue(isset($_SESSION["gpAuthorized"]));
        $this->assertTrue(isset($_SESSION["gpAuthorized"]['ressourceName']));
        $this->assertTrue(isset($_SESSION["gpAuthorized"]['ressourceName']['actionName']));
        $this->assertFalse($_SESSION["gpAuthorized"]['ressourceName']['actionName']);
        
        $this->assertFalse($objACL->isAuthorized('ressourceName','actionName'));
    } 
    
    protected function setUp()    
    {  
        $GLOBALS['PHPUNIT_Username'] = org_geoprisma_acl_BorealisACL::getInstance()->getUsername();
    }

    protected function tearDown()    
    {  
        org_geoprisma_acl_BorealisACL::getInstance()->setUsername($GLOBALS['PHPUNIT_Username']);
        org_geoprisma_acl_BorealisACL::setCaching(false);
    }
    
}
  
?>