<?php

class org_geoprisma_layer_LayerTest extends PHPUnit_Framework_TestCase
{
    public function testConstruct()    
    {
        new org_geoprisma_layer_Layer(new ArrayObject(array('asd')),'asd','asd');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testConstruct2()    
    {
        new org_geoprisma_layer_Layer(new ArrayObject(array('asd')),'','asd');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testConstruct3()    
    {
        new org_geoprisma_layer_Layer(new ArrayObject(array('asd')),'asd','');
    }
    
    public function testGetResourceNames()    
    {
        $objLayer = new org_geoprisma_layer_Layer(new ArrayObject(array('a1', 'a2')),'a2','a3');
        $objArrayRessourcesName = $objLayer->getResourceNames();
        $this->assertEquals('a1', $objArrayRessourcesName[0]);
        $this->assertEquals('a2', $objArrayRessourcesName[1]);
    }  
    
    public function testGetServiceType()    
    {
        $objLayer = new org_geoprisma_layer_Layer(new ArrayObject(array('a1')),'a2','a3');
        $this->assertEquals('a2', $objLayer->getServiceType());
    }
    
    public function testGetOptions()    
    {
        $objLayer = new org_geoprisma_layer_Layer(new ArrayObject(array('a1')),'a2','a3');
        $this->assertEquals('a3', $objLayer->getOptions());
    }
    
    public function testInsertIntoXML()    
    {
        $objLayer = new org_geoprisma_layer_Layer(new ArrayObject(array('a1')),'a2','<options><option>o1</option><option>o2</option></options>');
        
        $objDomDocument = new DOMDocument();
        $objDomDocument->loadXML('<test></test>');
        
        $objLayer->insertIntoXML($objDomDocument->documentElement, $objDomDocument);
        
        $objSimpleXMLElement = simplexml_import_dom($objDomDocument);
                
        $this->assertEquals('a2', (string)$objSimpleXMLElement->layer->servicetype);
        $this->assertEquals('o1', (string)$objSimpleXMLElement->layer->options->option[0]);
        $this->assertEquals('o2', (string)$objSimpleXMLElement->layer->options->option[1]);
    }
}
  
?>