<?php

class org_geoprisma_resource_ResourceTest extends PHPUnit_Framework_TestCase
{
    public function testConstruct()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayWidget = new ArrayObject();     
        new org_geoprisma_resource_Resource('ressource1', $objArrayDatastore, $objArrayWidget, new ArrayObject());
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testConstruct2()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayWidget = new ArrayObject();  
        new org_geoprisma_resource_Resource('', $objArrayDatastore, $objArrayWidget, new ArrayObject());
    }
    
    public function testGetName()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayWidget = new ArrayObject();     
        $objResource = new org_geoprisma_resource_Resource('r1', $objArrayDatastore, $objArrayWidget, new ArrayObject());    
        $this->assertEquals('r1', $objResource->getName());
    }  
   
    public function testGetDatastores()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayDatastore->append('a');
        $objArrayWidget = new ArrayObject();
        $objArrayWidget->append('b');       
        $objResource = new org_geoprisma_resource_Resource('r1', $objArrayDatastore, $objArrayWidget, new ArrayObject());    
        $this->assertEquals($objArrayDatastore, $objResource->getDatastores());
    }
    
    public function testGetWidgets()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayDatastore->append('a');
        $objArrayWidget = new ArrayObject();
        $objArrayWidget->append('b');       
        $objResource = new org_geoprisma_resource_Resource('r1', $objArrayDatastore, $objArrayWidget, new ArrayObject());    
        $this->assertEquals($objArrayWidget, $objResource->getWidgets());
    } 
    
    public function testGetDatastore()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();

        $objService1 = $objConfig->getService('FeatureServerDemo');
        $objService2 = $objConfig->getService('MetaCartaVM0');
        $objService3 = $objConfig->getService('ServiceBidon');   
        $objDatastore1 = new org_geoprisma_datastore_Datastore('d1', $objService1, '<options />');
        $objDatastore2 = new org_geoprisma_datastore_Datastore('d2', $objService2, '<options />');
        $objArrayDatastore = new ArrayObject(); 
        $objArrayDatastore->append($objDatastore1);
        $objArrayDatastore->append($objDatastore2);        
        $objArrayWidget = new ArrayObject();      
        $objResource = new org_geoprisma_resource_Resource('r1', $objArrayDatastore, $objArrayWidget, new ArrayObject());    
        
        $this->assertEquals($objDatastore1, $objResource->getDatastore($objService1));
        $this->assertEquals($objDatastore2, $objResource->getDatastore($objService2));
        
        $this->assertEquals(null, $objResource->getDatastore($objService3));
    }
    
    
    public function testGetOptions()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayWidget = new ArrayObject();
        $objArrayOptions = new ArrayObject();  
        $objArrayOptions->append(new org_geoprisma_option_Option('option1','value1'));     
        $objArrayOptions->append(new org_geoprisma_option_Option('option2','value2'));
        $objResource = new org_geoprisma_resource_Resource('ressource1', $objArrayDatastore, $objArrayWidget, $objArrayOptions);
        
        $this->assertEquals('option2', $objResource->getOption('option2')->getName());
        $this->assertEquals('value2', $objResource->getOption('option2')->getValue());
        $this->assertEquals('option1', $objResource->getOption('option1')->getName());
        $this->assertEquals('value1', $objResource->getOption('option1')->getValue());
    }
    
    /**
    * @expectedException org_geoprisma_exception_OptionNotFoundException 
    */
    public function testGetOptions2()    
    {
        $objArrayDatastore = new ArrayObject(); 
        $objArrayWidget = new ArrayObject();
        $objArrayOptions = new ArrayObject();  
        $objResource = new org_geoprisma_resource_Resource('ressource1', $objArrayDatastore, $objArrayWidget, $objArrayOptions);
        
        $objResource->getOption('option')->getName();
    }  
  
}
  
?>