<?php

class org_geoprisma_widget_MapFishLayerTreeWidgetTest extends PHPUnit_Framework_TestCase
{
    public function testRemoveNodeWithNoRight()    
    {
        org_geoprisma_SettingImpl::setACLClass('org_geoprisma_acl_BorealisACL'); 
        org_geoprisma_acl_BorealisACL::setUsername('pmartin');
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig(); 
        $objConfig->reload(); 
        
        
        $objDomDocument = new DOMDocument();
        $objDomDocument->loadXML('<test></test>');
        
        $objWidget = $objConfig->getWidget('LegendDemo');
        $this->assertNotEquals(null, $objWidget);
        
        $objDomElementWidget = $objWidget->insertIntoXML($objDomDocument->documentElement, $objDomDocument);
        
        $this->assertNotEquals(null, $objDomElementWidget);
        
        $objSimpleXMLElement = simplexml_import_dom($objDomDocument);
        
        $objSimpleXMLElementArray = $objSimpleXMLElement->xpath("//node");
        $intCount = count($objSimpleXMLElementArray);      
  
        $this->assertEquals(5, $intCount);  
    }
    
    public function testRemoveNodeWithNoRight2()    
    {
        org_geoprisma_SettingImpl::setACLClass('org_geoprisma_acl_BorealisACL'); 
        org_geoprisma_acl_BorealisACL::setUsername('tonny');
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig(); 
        $objConfig->reload();  
        
        $objDomDocument = new DOMDocument();
        $objDomDocument->loadXML('<test></test>');
        
        $objWidget = $objConfig->getWidget('LegendDemo');
        $this->assertNotEquals(null, $objWidget);
        
        $objDomElementWidget = $objWidget->insertIntoXML($objDomDocument->documentElement, $objDomDocument);
        
        $this->assertEquals(null, $objDomElementWidget);        
    }
    
    public function testRemoveNodeWithNoRight3()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig(); 
        $objConfig->reload(); 
            
        $objDomDocument = new DOMDocument();
        $objDomDocument->loadXML('<test></test>');
        
        $objWidget = $objConfig->getWidget('LegendDemo');
        $this->assertNotEquals(null, $objWidget);
        
        $objDomElementWidget = $objWidget->insertIntoXML($objDomDocument->documentElement, $objDomDocument);
        
        $this->assertNotEquals(null, $objDomElementWidget);
        
        $objSimpleXMLElement = simplexml_import_dom($objDomDocument);
        
        $objSimpleXMLElementArray = $objSimpleXMLElement->xpath("//node");
        $intCount = count($objSimpleXMLElementArray);      
  
        $this->assertEquals(7, $intCount);  
    }
    
    public function setUp()
    {
        $GLOBALS['PHPUNIT_ACLClass'] = org_geoprisma_SettingImpl::getACLClass();
    }
    
    public function tearDown()
    {
        org_geoprisma_SettingImpl::setACLClass($GLOBALS['PHPUNIT_ACLClass']);  
        
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig(); 
        $objConfig->reload();
    } 
  
}
  
?>